package com.sun.xml.internal.ws.api.model.wsdl;

import java.util.List;
import org.xml.sax.Locator;
import javax.xml.namespace.QName;

public interface WSDLExtensible extends WSDLObject
{
    public abstract Iterable<WSDLExtension> getExtensions();
    
    public abstract <T extends WSDLExtension> Iterable<T> getExtensions(Class<T> p0);
    
    public abstract <T extends WSDLExtension> T getExtension(Class<T> p0);
    
    public abstract void addExtension(WSDLExtension p0);
    
    public abstract boolean areRequiredExtensionsUnderstood();
    
    public abstract void addNotUnderstoodExtension(QName p0, Locator p1);
    
    public abstract List<? extends WSDLExtension> getNotUnderstoodExtensions();
}
